<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension
         point="org.eclipse.ui.editors">
      <editor
            class="org.tizen.web.editor.css.CSSEditor"
            contributorClass="org.eclipse.wst.css.ui.internal.ActionContributorCSS"
            default="true"
            icon="icons/css_files.png"
            id="org.tizen.web.editor.css.CSSEditor"
            name="%editor.css.name"
            symbolicFontName="org.eclipse.wst.jsdt.ui.editors.textfont">
         <contentTypeBinding
               contentTypeId="org.eclipse.wst.css.core.csssource">
         </contentTypeBinding>
      </editor>
   </extension>

<!-- Quick View -->
   <extension
      id="org.tizen.web.editor.css.quickview.marker"
      name="Quick View Marker"
      point="org.eclipse.core.resources.markers">
      <super
         type="org.eclipse.core.resources.textmarker">
      </super>
   </extension>

   <extension
      point="org.eclipse.ui.editors.annotationTypes">
      <type
         markerType="org.tizen.web.editor.css.quickview.marker"
         name="org.tizen.web.editor.css.quickview.marker">
      </type>
   </extension>

   <extension
      point="org.eclipse.ui.editors.markerAnnotationSpecification">
      <specification
         annotationType="org.tizen.web.editor.css.quickview.marker"
         colorPreferenceKey="org.tizen.web.editor.css.quickview.marker.color"
         colorPreferenceValue="0,255,255"
         contributesToHeader="false"
         highlightPreferenceKey="org.tizen.web.editor.css.quickview.marker.highlight"
         highlightPreferenceValue="false"
         includeOnPreferencePage="true"
         label="Quick View"
         icon="icons/css_files.png"
         presentationLayer="3"
         textPreferenceKey="org.tizen.web.editor.css.quickview.marker.text"
         textPreferenceValue="false"
         textStylePreferenceValue="BOX"
         verticalRulerPreferenceKey="org.tizen.web.editor.css.quickview.marker.ruler"
         verticalRulerPreferenceValue="false"
         overviewRulerPreferenceKey="org.tizen.web.editor.css.quickview.marker.overview"
         overviewRulerPreferenceValue="false"
         annotationImageProvider="org.tizen.web.editor.css.quickview.ruler.QuickViewImageProvider">
      </specification>
   </extension>

   <extension
      point="org.eclipse.ui.workbench.texteditor.rulerColumns">
      <column
         class="org.tizen.web.editor.css.quickview.ruler.QuickViewColumn"
         enabled="true"
         global="true"
         id="org.tizen.web.editor.css.quickview.QuickViewColumn"
         includeInMenu="true"
         name="Quick View">
         <placement
            gravity="1.0">
         </placement>
         <targetClass
            class="org.tizen.web.editor.css.CSSEditor">
         </targetClass>
      </column>
   </extension>
   <extension
         point="org.eclipse.wst.sse.ui.completionProposal">
      <proposalCategory
            icon="icons/id_selector.png"
            id="org.tizen.web.editor.css.contentassist.proposalCategory"
            name="%editor.css.contentassist.selector">
      </proposalCategory>
      <proposalCategory
            icon="icons/id_selector.png"
            id="org.tizen.web.editor.css.contentassist.proposalCategory.tizencss"
            name="%editor.css.contentassist">
      </proposalCategory>
      <proposalComputer
            activate="false"
            categoryId="org.tizen.web.editor.css.contentassist.proposalCategory"
            class="org.tizen.web.editor.css.contentassist.TizenCSSCompletionProposalCompute"
            icon="icons/id_selector.png"
            id="org.tizen.web.editor.css.contentassist.proposalComputer">
         <contentType
               id="org.eclipse.wst.css.core.csssource">
         </contentType>
      </proposalComputer>
      <proposalComputer
          activate="false"
          categoryId="org.tizen.web.editor.css.contentassist.proposalCategory.tizencss"
          class="org.tizen.web.editor.css.contentassist.TizenCSSCompletionProposalComputer"
          id="org.tizen.web.editor.css.contentassist.proposalComputer.tizencss">
       <contentType
             id="org.eclipse.wst.css.core.csssource">
       </contentType>
    </proposalComputer>
   </extension>
</plugin>
